> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a line item

> Update an existing line item by its ID. The request body must be a list of properties you want to update, with each entry including the internal name of the property you want to update, and the new value for that property. See the example for details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-line-items-v1.json POST /crm-objects/v1/objects/line_items/batch-delete
openapi: 3.0.0
info:
  title: CRM Line Items API v1
  version: 1.0.0
  description: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-introduction: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-api-use-case: >-
    When creating a set of quotes for sales reps to send to potential buyers,
    use this API to add goods and services to the quotes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/line_items/batch-delete:
    post:
      summary: Create a line item
      description: >-
        Update an existing line item by its ID. The request body must be a list
        of properties you want to update, with each entry including the internal
        name of the property you want to update, and the new value for that
        property. See the example for details.
      operationId: postcrmobjectsv1objectslineitemsbatchdelete
      responses:
        '200':
          description: Successful response - Update an existing line item by its ID
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Create a line item - Example 1
                  value:
                    ids:
                      - 10146671
                      - 10069829
      security:
        - oauth2:
            - crm.objects.line_items.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.line_items.write
        - private_apps_legacy: []
components: {}

````